#include <bits/stdc++.h>

using namespace std;

#define pii pair<int,int>
#define ll long long
#define s second
#define f first

ll v,ans,idx;
vector<ll> nov(70);

int main(){
  nov[0]=1;
  nov[1]=2;
  nov[2]=5;
  for(int i=3;i<60;++i){
    nov[i]=10*nov[i-3];
  }

  cin >> v;
  while(v>0){
    if(v==*lower_bound(nov.begin(),nov.end(),v)){
        v=0;
        ++ans;
        break;
    }
    idx=distance(nov.begin(),lower_bound(nov.begin(),nov.end(),v));
    v-=nov[idx-1];
    ++ans;
  }
  cout << ans;
  return 0;
}